# Clutter::BehaviourEllipse Class Reference

Inherits Clutter::Behaviour.

Collaboration diagram for Clutter::BehaviourEllipse:
[legend]

List of all members.

## Public Member Functions

virtual | ~BehaviourEllipse ()
ClutterBehaviourEllipse* | gobj ()
| Provides access to the underlying C GObject.
const ClutterBehaviourEllipse* | gobj () const
| Provides access to the underlying C GObject.
ClutterBehaviourEllipse* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_center (int x, int y)
| Sets the center of the elliptical path to the point represented by knot.
void | get_center (int& x, int& y) const
| Gets the center of the elliptical path path.
void | set_height (int height)
| Sets the height of the elliptical path.
int | get_height () const
| Gets the height of the elliptical path.
void | set_width (int width)
| Sets the width of the elliptical path.
int | get_width () const
| Gets the width of the elliptical path.
void | set_angle_start (double angle_start)
| Sets the angle at which movement starts; angles >= 360 degress get clamped to the canonical interval <0, 360).
double | get_angle_start () const
| Gets the angle at which movements starts.
void | set_angle_end (double angle_end)
| Sets the angle at which movement ends; angles >= 360 degress get clamped to the canonical interval <0, 360).
double | get_angle_end () const
| Gets the at which movements ends.
void | set_angle_tilt (RotateAxis axis, double angle_tilt)
| Sets the angle at which the ellipse should be tilted around it's center.
double | get_angle_tilt (RotateAxis axis) const
| Gets the tilt of the ellipse around the center in the given axis.
void | set_tilt (double angle_tilt_x, double angle_tilt_y, double angle_tilt_z)
| Sets the angles at which the ellipse should be tilted around it's center.
void | get_tilt (double& angle_tilt_x, double& angle_tilt_y, double& angle_tilt_z) const
| Gets the tilt of the ellipse around the center in Y axis.
void | set_direction (RotateDirection direction)
| Sets the rotation direction used by the ellipse behaviour.
RotateDirection | get_direction () const
| Retrieves the Clutter::RotateDirection used by the ellipse behaviour.
Glib::PropertyProxy< double > | property_angle_end ()
| Final angle.
Glib::PropertyProxy_ReadOnly < double > | property_angle_end () const
| Final angle.
Glib::PropertyProxy< double > | property_angle_start ()
| Initial angle.
Glib::PropertyProxy_ReadOnly < double > | property_angle_start () const
| Initial angle.
Glib::PropertyProxy< double > | property_angle_tilt_x ()
| Tilt of the ellipse around x axis.
Glib::PropertyProxy_ReadOnly < double > | property_angle_tilt_x () const
| Tilt of the ellipse around x axis.
Glib::PropertyProxy< double > | property_angle_tilt_y ()
| Tilt of the ellipse around y axis.
Glib::PropertyProxy_ReadOnly < double > | property_angle_tilt_y () const
| Tilt of the ellipse around y axis.
Glib::PropertyProxy< double > | property_angle_tilt_z ()
| Tilt of the ellipse around z axis.
Glib::PropertyProxy_ReadOnly < double > | property_angle_tilt_z () const
| Tilt of the ellipse around z axis.
Glib::PropertyProxy< Knot > | property_center ()
| Center of ellipse.
Glib::PropertyProxy_ReadOnly < Knot > | property_center () const
| Center of ellipse.
Glib::PropertyProxy < RotateDirection > | property_direction ()
| Direction of rotation.
Glib::PropertyProxy_ReadOnly < RotateDirection > | property_direction () const
| Direction of rotation.
Glib::PropertyProxy< int > | property_height ()
| Height of ellipse.
Glib::PropertyProxy_ReadOnly< int > | property_height () const
| Height of ellipse.
Glib::PropertyProxy< int > | property_width ()
| Width of the ellipse.
Glib::PropertyProxy_ReadOnly< int > | property_width () const
| Width of the ellipse.

## Static Public Member Functions

static Glib::RefPtr < BehaviourEllipse > | create (const Glib::RefPtr< Alpha >& alpha, int x, int y, int width, int height, RotateDirection direction, double begin, double end)

## Protected Member Functions

| BehaviourEllipse (const Glib::RefPtr< Alpha >& alpha, int x, int y, int width, int height, RotateDirection direction, double angle_start, double angle_end)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Clutter::BehaviourEllipse > | wrap (ClutterBehaviourEllipse* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::BehaviourEllipse::~BehaviourEllipse | ( |  | ) | `[virtual]`

Clutter::BehaviourEllipse::BehaviourEllipse | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | RotateDirection | direction,
|  | double | angle_start,
|  | double | angle_end |
| ) |  |  | `[protected]`

## Member Function Documentation

static Glib::RefPtr<BehaviourEllipse> Clutter::BehaviourEllipse::create | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | RotateDirection | direction,
|  | double | begin,
|  | double | end |
| ) |  |  | `[static]`

double Clutter::BehaviourEllipse::get_angle_end | ( |  | ) | const

Gets the at which movements ends.

Since cluttermm 0.4:

Returns:
  Angle in degrees.

double Clutter::BehaviourEllipse::get_angle_start | ( |  | ) | const

Gets the angle at which movements starts.

Since cluttermm 0.6:

Returns:
  Angle in degrees.

double Clutter::BehaviourEllipse::get_angle_tilt | ( | RotateAxis | axis | ) | const

Gets the tilt of the ellipse around the center in the given axis.

Since cluttermm 0.4:

Parameters:

  | axis | A Clutter::RotateAxis.

Returns:
  Angle in degrees.

void Clutter::BehaviourEllipse::get_center | ( | int & | x,
|  | int & | y |
| ) |  |  | const

Gets the center of the elliptical path path.

Since cluttermm 0.4:

Parameters:

  | x | Return location for the X coordinate of the center, or `0`.
  | y | Return location for the Y coordinate of the center, or `0`.

RotateDirection Clutter::BehaviourEllipse::get_direction | ( |  | ) | const

Retrieves the Clutter::RotateDirection used by the ellipse behaviour.

Since cluttermm 0.4:

Returns:
  The rotation direction.

int Clutter::BehaviourEllipse::get_height | ( |  | ) | const

Gets the height of the elliptical path.

Since cluttermm 0.4:

Returns:
  The height of the path.

void Clutter::BehaviourEllipse::get_tilt | ( | double & | angle_tilt_x,
|  | double & | angle_tilt_y,
|  | double & | angle_tilt_z |
| ) |  |  | const

Gets the tilt of the ellipse around the center in Y axis.

Since cluttermm 0.4:

Parameters:

  | angle_tilt_x | Return location for tilt angle on the X axis, or `0`.
  | angle_tilt_y | Return location for tilt angle on the Y axis, or `0`.
  | angle_tilt_z | Return location for tilt angle on the Z axis, or `0`.

int Clutter::BehaviourEllipse::get_width | ( |  | ) | const

Gets the width of the elliptical path.

Since cluttermm 0.4:

Returns:
  The width of the path.

const ClutterBehaviourEllipse* Clutter::BehaviourEllipse::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Behaviour.

ClutterBehaviourEllipse* Clutter::BehaviourEllipse::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Behaviour.

ClutterBehaviourEllipse* Clutter::BehaviourEllipse::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::Behaviour.

Glib::PropertyProxy_ReadOnly<double> Clutter::BehaviourEllipse::property_angle_end | ( |  | ) | const

Final angle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::BehaviourEllipse::property_angle_end | ( |  | ) |

Final angle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::BehaviourEllipse::property_angle_start | ( |  | ) | const

Initial angle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::BehaviourEllipse::property_angle_start | ( |  | ) |

Initial angle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::BehaviourEllipse::property_angle_tilt_x | ( |  | ) | const

Tilt of the ellipse around x axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::BehaviourEllipse::property_angle_tilt_x | ( |  | ) |

Tilt of the ellipse around x axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::BehaviourEllipse::property_angle_tilt_y | ( |  | ) | const

Tilt of the ellipse around y axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::BehaviourEllipse::property_angle_tilt_y | ( |  | ) |

Tilt of the ellipse around y axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::BehaviourEllipse::property_angle_tilt_z | ( |  | ) | const

Tilt of the ellipse around z axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::BehaviourEllipse::property_angle_tilt_z | ( |  | ) |

Tilt of the ellipse around z axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Knot> Clutter::BehaviourEllipse::property_center | ( |  | ) | const

Center of ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Knot> Clutter::BehaviourEllipse::property_center | ( |  | ) |

Center of ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<RotateDirection> Clutter::BehaviourEllipse::property_direction | ( |  | ) | const

Direction of rotation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<RotateDirection> Clutter::BehaviourEllipse::property_direction | ( |  | ) |

Direction of rotation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Clutter::BehaviourEllipse::property_height | ( |  | ) | const

Height of ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Clutter::BehaviourEllipse::property_height | ( |  | ) |

Height of ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Clutter::BehaviourEllipse::property_width | ( |  | ) | const

Width of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Clutter::BehaviourEllipse::property_width | ( |  | ) |

Width of the ellipse.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::BehaviourEllipse::set_angle_end | ( | double | angle_end | ) |

Sets the angle at which movement ends; angles >= 360 degress get clamped to the canonical interval <0, 360).

Since cluttermm 0.4:

Parameters:

  | angle_end | Angle at which movement ends in degrees, between 0 and 360.

void Clutter::BehaviourEllipse::set_angle_start | ( | double | angle_start | ) |

Sets the angle at which movement starts; angles >= 360 degress get clamped to the canonical interval <0, 360).

Since cluttermm 0.6:

Parameters:

  | angle_start | Angle at which movement starts in degrees, between 0 and 360.

void Clutter::BehaviourEllipse::set_angle_tilt | ( | RotateAxis | axis,
|  | double | angle_tilt |
| ) |  |  |

Sets the angle at which the ellipse should be tilted around it's center.

Since cluttermm 0.4:

Parameters:

  | axis | A Clutter::RotateAxis.
  | angle_tilt | Tilt of the elipse around the center in the given axis in degrees.

void Clutter::BehaviourEllipse::set_center | ( | int | x,
|  | int | y |
| ) |  |  |

Sets the center of the elliptical path to the point represented by knot.

Since cluttermm 0.4:

Parameters:

  | x | X coordinace of centre.
  | y | Y coordinace of centre.

void Clutter::BehaviourEllipse::set_direction | ( | RotateDirection | direction | ) |

Sets the rotation direction used by the ellipse behaviour.

Since cluttermm 0.4:

Parameters:

  | direction | The rotation direction.

void Clutter::BehaviourEllipse::set_height | ( | int | height | ) |

Sets the height of the elliptical path.

Since cluttermm 0.4:

Parameters:

  | height | Height of the ellipse.

void Clutter::BehaviourEllipse::set_tilt | ( | double | angle_tilt_x,
|  | double | angle_tilt_y,
|  | double | angle_tilt_z |
| ) |  |  |

Sets the angles at which the ellipse should be tilted around it's center.

Since cluttermm 0.4:

Parameters:

  | angle_tilt_x | Tilt of the elipse around the center in X axis in degrees.
  | angle_tilt_y | Tilt of the elipse around the center in Y axis in degrees.
  | angle_tilt_z | Tilt of the elipse around the center in Z axis in degrees.

void Clutter::BehaviourEllipse::set_width | ( | int | width | ) |

Sets the width of the elliptical path.

Since cluttermm 0.4:

Parameters:

  | width | Width of the ellipse.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::BehaviourEllipse > wrap | ( | ClutterBehaviourEllipse * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/behaviour-ellipse.h